#!/bin/sh
# configure script for EDIM package,  Frank Lübeck
# usage: configure gappath
# this script creates a `Makefile' from `Makefile.in'
# 27.1.2000 FL  made first test more portable (thanks to Greg Gamble) 
if [ x"$1" = "x" ]; then GAPPATH=../..; echo "Using ../.. as default GAP path"; 
else GAPPATH=$1; fi
rm -f Makefile sedfile
cat $GAPPATH/sysinfo.gap > Makefile
echo "echo s/@GAPARCH@/\$GAParch/g >sedfile" >> Makefile
chmod +x Makefile
./Makefile
rm -f Makefile
echo GAPPATH=$GAPPATH >Makefile
sed -f sedfile Makefile.in >>Makefile
rm -f sedfile

# old documentation:
# echo GAPPATH=$GAPPATH >doc/Makefile
# cat doc/Makefile.in >>doc/Makefile
